<template>
    <div class="app-container">
        <div class="filter-container">
            <div style="display: block;">
                <div class="basic_search" style="padding-top: 10px">
                    <span>按流向码查：</span>
                    <el-input filterable clearable v-model="directionCode" style="width:300px">
                    </el-input>
                </div>
                <div class="basic_search" style="margin-right: 10px">
                    <el-button style="margin-left: 10px;" type="primary" icon="el-icon-search" @click="search('查询','')">查询</el-button>
                </div>
            </div>

        </div>
        <div class="table_content">
            <el-table
                v-loading="listLoading"
                :key="tableKey"
                :data="directionCodeData"
                border
                fit
                highlight-current-row
                style="width: 100%;"
            >
                <el-table-column label="序号" type="index" align="center" width="60"/>
                <el-table-column label="企业信息" prop="content" align="center">
                </el-table-column>
                <el-table-column label="流向码" prop="directioncode" align="center">
                </el-table-column>
                <el-table-column label="身份证号" prop="idCardNumber" align="center">
                </el-table-column>
                <el-table-column label="流向轨迹" prop="detail" align="center" width="350">
                </el-table-column>
                <el-table-column label="创建时间" prop="modifieddate" align="center" >
                </el-table-column>
                <el-table-column label="操作" prop="typeName" align="center" >
                </el-table-column>
            </el-table>
        </div>
    </div>
</template>

<script>
import { getDirectionCodeData } from '@/api/flow'
import {computePageCount} from "../../utils";

export default {
    name: "addSelfExam",
    data(){
        return{
            tableKey:'',
            directionCode:'',
            listLoading:false,
            directionCodeData:[],
        }
    },
    created() {
        this.getDirectionCodeDataList()
    },
    watch: {
    },
    methods:{
        async getDirectionCodeDataList(){
            this.listLoading = true
            if(this.directionCode !== null && this.directionCode !== '' ){
                let res = await getDirectionCodeData(this.directionCode)
                if(res.data.code === "200"){
                    this.directionCodeData = res.data.result
                }else{
                    this.$message({
                        type:'warning',
                        message:res.data.message
                    })
                }
            }
            this.listLoading = false
        },

        search(){
            this.getDirectionCodeDataList()
        },
    },
}
</script>

<style scoped>
.basic_search{
    display:inline-block;
}

</style>
